Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextCharFormat.UnderlineStyle

    java.lang.Object
      java.lang.Enum<QTextCharFormat.UnderlineStyle>
          com.trolltech.qt.gui.QTextCharFormat.UnderlineStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCharFormat.UnderlineStyle>

Enclosing class:
  QTextCharFormat

    public static enum QTextCharFormat.UnderlineStyle

extends java.lang.Enum<QTextCharFormat.UnderlineStyle>
implements QtEnumerator

This enum describes the different ways drawing underlined text.

See Also:
  `Qt::PenStyle`

Enum Constant Summary
`DashDotDotLine` Underlines draw drawn using Qt::DashDotDotLine.
`DashDotLine` Dashs and dots are drawn using Qt::DashDotLine.
`DashUnderline` Dashes are drawn using Qt::DashLine.
`DotLine` Dots are drawn using Qt::DotLine;
`NoUnderline` Text is draw without any underlining decoration.
`SingleUnderline` A line is drawn using Qt::SolidLine.
`SpellCheckUnderline` The underline is drawn depending on the QStyle::SH_SpellCeckUnderlineStyle style hint of the `QApplication` style.
`WaveUnderline` The text is underlined using a wave shaped line.

Method Summary
`static QTextCharFormat.UnderlineStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCharFormat.UnderlineStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCharFormat.UnderlineStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoUnderline

    public static final QTextCharFormat.UnderlineStyle NoUnderline

  Text is draw without any underlining decoration.

### SingleUnderline

    public static final QTextCharFormat.UnderlineStyle SingleUnderline

  A line is drawn using Qt::SolidLine.

### DashUnderline

    public static final QTextCharFormat.UnderlineStyle DashUnderline

  Dashes are drawn using Qt::DashLine.

### DotLine

    public static final QTextCharFormat.UnderlineStyle DotLine

  Dots are drawn using Qt::DotLine;

### DashDotLine

    public static final QTextCharFormat.UnderlineStyle DashDotLine

  Dashs and dots are drawn using Qt::DashDotLine.

### DashDotDotLine

    public static final QTextCharFormat.UnderlineStyle DashDotDotLine

  Underlines draw drawn using Qt::DashDotDotLine.

### WaveUnderline

    public static final QTextCharFormat.UnderlineStyle WaveUnderline

  The text is underlined using a wave shaped line.

### SpellCheckUnderline

    public static final QTextCharFormat.UnderlineStyle SpellCheckUnderline

  The underline is drawn depending on the QStyle::SH_SpellCeckUnderlineStyle style hint of the `QApplication` style. By default this is mapped to `WaveUnderline`, on Mac OS X it is mapped to `DashDotLine`.

Method Detail

### values

    public static final QTextCharFormat.UnderlineStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCharFormat.UnderlineStyle c : QTextCharFormat.UnderlineStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCharFormat.UnderlineStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCharFormat.UnderlineStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD